|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Qt 3 Support Members for QKeyEvent

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QKeyEvent class reference

### Public Functions

- QKeyEvent ( Type type, int key, int ascii, int modifiers, const QString & text = QString(), bool autorep = false, ushort count = 1 )
- int ascii () const
- Qt::ButtonState state () const
- Qt::ButtonState stateAfter () const

## Member Function Documentation

### QKeyEvent::QKeyEvent ( Type type, int key, int ascii, int modifiers, const QString & text = QString(), bool autorep = false, ushort count = 1 )

Use one of the other constructors instead.

### int QKeyEvent::ascii () const

Use text() instead.

### Qt::ButtonState QKeyEvent::state () const

Use QInputEvent::modifiers() instead.

### Qt::ButtonState QKeyEvent::stateAfter () const

Use modifiers() instead.